use rug::Integer;
mod lll;
mod matrix;
mod utils;
mod agcd;
use crate::agcd::agcd;

fn main() {
    // 1. Build lattice matrix basis
    let ciphertexts = vec![
Integer::from(32219),
Integer::from(21254),
Integer::from(16764),
Integer::from(338),
Integer::from(29960),
Integer::from(23516),
Integer::from(7084),
Integer::from(26735),
Integer::from(23195),
Integer::from(11928),
Integer::from(985),
Integer::from(11916),
Integer::from(13217),
Integer::from(29966),
Integer::from(14171),
Integer::from(13211),
Integer::from(23514),
Integer::from(19643)
    ];
    let noise_bits = 2;
    let _ = agcd(ciphertexts, noise_bits);
}
